Bug 730394 - use slapi_rwlock instead of NSPR PR_RWLock directly
Summary: use slapi_rwlock instead of NSPR PR_RWLock directly
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: slapi-nis
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
Assignee: Nalin Dahyabhai
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 730387 743979
Blocks: 730403 730434
TreeView+ depends on / blocked
 
Reported: 2011-08-12 18:45 UTC by Rich Megginson
Modified: 2012-02-02 17:32 UTC (History)
1 user (show)

Fixed In Version: slapi-nis-0.28-1.fc16
Doc Type: Bug Fix
Doc Text:
Clone Of:
: 730403 730434 (view as bug list)
Environment:
Last Closed: 2012-02-02 17:27:40 UTC


Attachments (Terms of Use)

Description Rich Megginson 2011-08-12 18:45:39 UTC
NSPR RW locks are not re-entrant.  This causes problems in certain cases.  389 is going to refactor it's code to provide and use slapi_rwlock instead of using the PRRW locks directly.  All plugins should use slapi_rwlock instead of calling NSPR directly.

Comment 1 Nalin Dahyabhai 2011-09-06 16:24:42 UTC
Rich, do we know which version of the 389-ds-base-devel package will provide this API?  So far I'm not seeing it in 389-ds-base-1.2.9.8-1.fc16, and a quick grep through Raw Hide's 389-ds-base-1.2.9.9-1.fc17 isn't showing it there, either.

Comment 2 Rich Megginson 2011-09-06 16:36:02 UTC
(In reply to comment #1)
> Rich, do we know which version of the 389-ds-base-devel package will provide
> this API?  So far I'm not seeing it in 389-ds-base-1.2.9.8-1.fc16, and a quick
> grep through Raw Hide's 389-ds-base-1.2.9.9-1.fc17 isn't showing it there,
> either.

389-ds-base-1.2.10.a1

We didn't think it was really needed urgently, so not requiring a patch for 1.2.9.x

Comment 3 Nalin Dahyabhai 2011-09-06 16:44:57 UTC
It's not urgent in Raw Hide -- the configure script will use the POSIX rwlock API directly, so no harm done, but I don't think I can close this bug until then.

Comment 4 Fedora Update System 2011-12-06 20:46:53 UTC
slapi-nis-0.27-1.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/slapi-nis-0.27-1.fc15

Comment 5 Fedora Update System 2011-12-06 20:47:02 UTC
slapi-nis-0.27-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/slapi-nis-0.27-1.fc16

Comment 6 Fedora Update System 2011-12-10 19:42:53 UTC
Package slapi-nis-0.27-1.fc15:
* should fix your issue,
* was pushed to the Fedora 15 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing slapi-nis-0.27-1.fc15'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2011-16867/slapi-nis-0.27-1.fc15
then log in and leave karma (feedback).

Comment 7 Fedora Update System 2011-12-21 14:40:34 UTC
slapi-nis-0.28-1.fc16,freeipa-2.1.4-3.fc16,389-ds-base-1.2.10-0.6.a6.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/slapi-nis-0.28-1.fc16,freeipa-2.1.4-3.fc16,389-ds-base-1.2.10-0.6.a6.fc16

Comment 8 Fedora Update System 2011-12-22 14:29:06 UTC
389-ds-base-1.2.10-0.6.a6.fc15,slapi-nis-0.28-1.fc15,freeipa-2.1.4-2.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/389-ds-base-1.2.10-0.6.a6.fc15,slapi-nis-0.28-1.fc15,freeipa-2.1.4-2.fc15

Comment 9 Fedora Update System 2012-01-21 21:50:40 UTC
Package 389-ds-base-1.2.10-0.6.a6.fc15, slapi-nis-0.28-1.fc15, freeipa-2.1.4-3.fc15:
* should fix your issue,
* was pushed to the Fedora 15 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing 389-ds-base-1.2.10-0.6.a6.fc15 slapi-nis-0.28-1.fc15 freeipa-2.1.4-3.fc15'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2011-17362/389-ds-base-1.2.10-0.6.a6.fc15,slapi-nis-0.28-1.fc15,freeipa-2.1.4-3.fc15
then log in and leave karma (feedback).

Comment 10 Fedora Update System 2012-02-02 17:27:40 UTC
389-ds-base-1.2.10-0.6.a6.fc15, slapi-nis-0.28-1.fc15, freeipa-2.1.4-3.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2012-02-02 17:32:24 UTC
slapi-nis-0.28-1.fc16, 389-ds-base-1.2.10-0.6.a6.fc16, freeipa-2.1.4-4.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.